package com.ywt.outpatient.api.prescription;

/**
 * 药房实体
 *
 * @author johnson lin
 * @date 2019/8/29 1:52 PM
 */
public class Pharmacy {
    /**
     * 药房Id
     */
    private int pharmacyId;

    /**
     * 药房名称
     */
    private String name;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区
     */
    private String area;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 是否支持医保，0-不支持，1-支持
     */
    private int insurance;

    /**
     * 状态，0-正常，1-禁用
     */
    private int status;

    /**
     * 处方单在该药房的价格，单位：分
     */
    private int total;

    /**
     * 字额字符串表示，如：¥0.08
     */
    private String strAmount;

    /**
     * 距离，单位：米
     */
    private double distance;

    /**
     * 距离字符串表示，
     * 小于 1 千米，显示单位为米，如：308米；
     * 否则显示单位为千米，如：1.8千米。
     */
    private String strDistance;

    public int getPharmacyId() {
        return pharmacyId;
    }

    public Pharmacy setPharmacyId(int pharmacyId) {
        this.pharmacyId = pharmacyId;
        return this;
    }

    public String getName() {
        return name;
    }

    public Pharmacy setName(String name) {
        this.name = name;
        return this;
    }

    public String getProvince() {
        return province;
    }

    public Pharmacy setProvince(String province) {
        this.province = province;
        return this;
    }

    public String getCity() {
        return city;
    }

    public Pharmacy setCity(String city) {
        this.city = city;
        return this;
    }

    public String getArea() {
        return area;
    }

    public Pharmacy setArea(String area) {
        this.area = area;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public Pharmacy setAddress(String address) {
        this.address = address;
        return this;
    }

    public int getInsurance() {
        return insurance;
    }

    public Pharmacy setInsurance(int insurance) {
        this.insurance = insurance;
        return this;
    }

    public int getStatus() {
        return status;
    }

    public Pharmacy setStatus(int status) {
        this.status = status;
        return this;
    }

    public int getTotal() {
        return total;
    }

    public Pharmacy setTotal(int total) {
        this.total = total;
        return this;
    }

    public String getStrAmount() {
        return strAmount;
    }

    public Pharmacy setStrAmount(String strAmount) {
        this.strAmount = strAmount;
        return this;
    }

    public double getDistance() {
        return distance;
    }

    public Pharmacy setDistance(double distance) {
        this.distance = distance;
        return this;
    }

    public String getStrDistance() {
        return strDistance;
    }

    public Pharmacy setStrDistance(String strDistance) {
        this.strDistance = strDistance;
        return this;
    }
}
